NatRitmeyer.com

An SDET's thoughts on test automation, TDD, BDD, ruby, CI, devops and software development

Libs Required for Ruby Dev on Fedora 19

In setting up a Fedora 19 VM for web testing with Chrome I found that I needed to install a few packages before things started to work. After some trial-and-error, I came up with the following command:

1
$ sudo yum install -y git vim gcc gcc-c++ ruby ruby-devel libxml2 libxml2-devel libxslt libxslt-devel

It should install everything you need to start coding in ruby (the above command assumes your code is stored in git and you’re using vim) – I had particular trouble trying to get nokogiri to work. But the above command solved it :)

Hope that helps!